VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "BusinessClass"
Attribute VB_GlobalNameSpace = False
'download by http://www.codefans.net
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Public Function Accumulate(argValue1 As Long, argValue2 As Long) As Long
    Accumulate = argValue1 + argValue2
End Function
Public Function ExecuteSQL(strConnect As Variant, strSQL As Variant) As Long
    Const ERROR_CONDITION = -2
    On Error GoTo ExecuteSQLErr
    Dim theConnection As New ADODB.Connection
    theConnection.Open strConnect
    theConnection.Execute strSQL
    Exit Function
ExecuteSQLErr:
    ExecuteSQL = ERROR_CONDITION
End Function
Public Function getRecordset(strConnect As Variant, strSQL As Variant) As ADODB.Recordset
    On Error GoTo getRecordsetErr
    Dim theConnection As New ADODB.Connection
    Dim theRecordset As New ADODB.Recordset
    theConnection.Open strConnect
    theRecordset.CursorLocation = adUseClient
    theRecordset.Open strSQL, theConnection
    Set getRecordset = theRecordset
    Exit Function
getRecordsetErr:
    Err.Raise Err.Number, Err.Source, Err.Description
End Function
